package hw5;

import java.util.Properties;

/**
 * Abstract class representing the entries in a form letter.
 * @author michael 
 **/
public abstract class FormLetterEntry {
	/** 
	 * Retrieve the template string for this entry
	 * @return the value of this entry in a template 
	 **/
	abstract public String getTemplateString();
	/**
	 * Retrieve the entry with any substitutions
	 * @return the value of the entry as a FormLetter (replaced) 
	 **/
	abstract public String getFormLetterString();
	/**
	 * Extract any data for this entry
	 **/
	abstract public void doProcess(Properties data);
}
